curl --request GET \
--url https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationId": "03f2d474-0508-46bf-9f3d-d8e2c28adaea",
"campaignId": 200000000000001,
"callbackData": "Callback Data",
"participants": [
{
"identifyBy": {
"identifier": "test@phonovation.com",
"type": "EMAIL"
},
"status": "ACCEPTED"
},
{
"identifyBy": {
"identifier": "test2@phonovation.com",
"type": "EMAIL"
},
"status": "REJECTED",
"errorReason": "REJECTED_INVALID_CONTACT"
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get a report on participants added to flow
Use this API endpoint to fetch a report to confirm that all persons have been successfully added to the flow. Please note that report is stored for 30 days.
Required scope: Enable one of: flow:use, flow:read, flow:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/moments/1/flows/{campaignId}/participants/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operationId": "03f2d474-0508-46bf-9f3d-d8e2c28adaea",
"campaignId": 200000000000001,
"callbackData": "Callback Data",
"participants": [
{
"identifyBy": {
"identifier": "test@phonovation.com",
"type": "EMAIL"
},
"status": "ACCEPTED"
},
{
"identifyBy": {
"identifier": "test2@phonovation.com",
"type": "EMAIL"
},
"status": "REJECTED",
"errorReason": "REJECTED_INVALID_CONTACT"
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the flow that participant will be added to.
Query Parameters
Unique identifier of the operation.
Response
OK
Summary of processing status for participants in a given operation.
Unique identifier of the operation.
"03f2d474-0508-46bf-9f3d-d8e2c28adaea"
Unique identifier of the flow campaign.
200000000000001
Array with information about each participant submitted for the operation.
Show child attributes
Show child attributes
Additional data will be passed in the request to your callback server along with the operation results report.